commit:     2eed7b175358d4e06342338e982b59e7645bfb04
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 26 22:57:26 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Jun 27 00:52:39 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2eed7b17

dev-vcs/sourcegit: bump to 2025.23

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-vcs/sourcegit/Manifest                 |   2 +
 dev-vcs/sourcegit/sourcegit-2025.23.ebuild | 152 +++++++++++++++++++++++++++++
 2 files changed, 154 insertions(+)

diff --git a/dev-vcs/sourcegit/Manifest b/dev-vcs/sourcegit/Manifest
index 1fdac2bb8974..f314757fa2dc 100644
--- a/dev-vcs/sourcegit/Manifest
+++ b/dev-vcs/sourcegit/Manifest
@@ -34,6 +34,7 @@ DIST avalonia.x11.11.2.8.nupkg 449097 BLAKE2B 
a3b3035ab7d70c78e50bfa53df75e09779
 DIST avaloniaedit.textmate.11.2.0.nupkg 49789 BLAKE2B 
d5ecddd1a3b8b11df43d9767f3c9fb8570871e4af835bd7182036e88578e9a7333b47997c1a5d680a748a9db35526fb53f00acd8590883fd0c63a0ca4f61b7c0
 SHA512 
fd1b4f01c47584cbe3b8c7b29f0e0d5d2d76a060fafed54b8007ad22b36d88fbb2f54a8c0e07380f7624f66eca428176a5c0f8c550d8b1a33b0eff152833f908
 DIST azure.ai.openai.2.2.0-beta.4.nupkg 355823 BLAKE2B 
af3d352d81fb0d11a73784845c229c06cd8670d557812dbaae5cdf25932a56d6a36a0b6a591355146859c505f9056362fc216d7285547f3080745db8652462bd
 SHA512 
dd53ecc7e07104d20bf74f401cd1f28b169f5231eac303cacf9f87b0f98af344739274fbbc9fdebc0a99f82c38a45d4c0b8bc9e7fb3e15f7b8d2d33d765d448c
 DIST azure.core.1.44.1.nupkg 1003202 BLAKE2B 
7f7ca4b5708ae961fe7cc64e1f6d765716cac06e0e05510a8ddd141a229adf3eff2d5ec84ee271f299ac0968d49315826b72a7092dff2fa84a97d60a1d4152d0
 SHA512 
e79f76d96cf4ea6885d9768a8e3bcd57a2df59218cc0bc5e9466c88cd72576875e69c344bce88f139cb70a50f68fa6255a0bd91117d4cd16fa354095db1e5ccb
+DIST bitmiracle.libtiff.net.2.4.660.nupkg 302949 BLAKE2B 
773d176203128943ac676cc34b481710395dba12da716d2a955bc5c882eb22045a5502e073d37cb02d66b1be2fb06f0ea985e57d7be4e48d077793dedd274299
 SHA512 
9616901de21911fea97a9c4b53b49422ed76ae4b560c7e3f6254287eccd9febbae827ac2b1bca30a25845d7d96d5e21e07c5a27cb726e0188d9affe066170b33
 DIST communitytoolkit.mvvm.8.4.0.nupkg 1108366 BLAKE2B 
bb3b0174a763a008c6b6482b91841a20503fba8a142f08dcb728423b338c41f6690f43df10f2af02240e35297d45fd1b73cf7bbddeb802bbb2988edc21f7cc89
 SHA512 
5e9705a1ad58b19f0b3ce956ac40226337402a7b17d067fbb5fd987e9ecee2a100c2d76f15537932b18618599599023542257fe67df32b193dc2b30542b2c30b
 DIST harfbuzzsharp.7.3.0.3.nupkg 1584872 BLAKE2B 
d76bd6b9aa72eebc0924162ddec0c617520164b7a1b4a290e9517afef174ab63f0e8c1e2a0ff1a7520e431baa1949d67627594bfa714acf0ccbaa20970179ded
 SHA512 
bed625c58228c404f860fb3e247fb6ca3209c93fea62da498ba43419500bd40944b2e117f50f587f860101a6c6478ad1d18075f655376d1749d238d74b6a0bd3
 DIST harfbuzzsharp.nativeassets.linux.7.3.0.3.nupkg 3369933 BLAKE2B 
068e7e6888cd159eaa3582f5d80ece056a4e6b580c0d3f2d494e92d4711193a276ba339d858f61f36e279cdbd6461173fc8eaa5646af93559cb17c100c1631ab
 SHA512 
cf94e5693c4c475a702c342163f1ee28d2d9c3a13939a8334bb7133d13ffc5ed95d9dbb6145e7ac004cfd6e626a16280df7f1a4c7e3687569eced58b8890a1b5
@@ -57,6 +58,7 @@ DIST skiasharp.nativeassets.webassembly.2.88.9.nupkg 71804127 
BLAKE2B eaff9d3f88
 DIST skiasharp.nativeassets.win32.2.88.9.nupkg 10918525 BLAKE2B 
39a607a2b9e51659080c2ca9d2129156308c7a1857bdd6d4228f3fc900d40eb70d9409ad6c11ab49ac1b4a962894b229e9db26e54ceb38bd236b8e5dfd8a4f92
 SHA512 
d18bd8194041c7ffb79302d4f1be584e8c024e88b12cb4669a738cae551da3d3e3924087bb0aa42d34a9003cfb35037d73637894e67d02223d100a1b4215eeec
 DIST sourcegit-2025.15.gh.tar.gz 2928758 BLAKE2B 
8081053f59cf24a6d6fe6be9e7b6a0b85de78ff5948c0c47bd2ac961a0f6b96d72127efa64e384933908e8cdd1a68a42e6e61869090585abe1d6433df8757647
 SHA512 
861af29cd381d7c8e64c075b80a0844213c39012fd78562a03b09931a03cc4f258d0137065cca142ada019683e21b3b270c053b5ef96419238d3e3d47f51b0b7
 DIST sourcegit-2025.21.gh.tar.gz 2949789 BLAKE2B 
885320fd382b73ece98be63f85dba2d5f9dda09bdc14042b91f900f76a5a3e910dd118914a0f1af45e50a34a13c078ac6cd4e0f08f26bafc0fdf6b22b72cf99d
 SHA512 
ef196d523fd80133ead4b74c4cb33ed44916f56840c2a84e6b3621f8c58acf1fc17c7e336821ffc0f4c5f57928085d9ef7211cb780ce0f61278bf0d9d2aa00d9
+DIST sourcegit-2025.23.gh.tar.gz 2950453 BLAKE2B 
a5c7d17b7ec1c489f223dd2232cedc5462155b33cbb7bba913b3d94e6588bde4882f2fe7ff9fc5b389b12e727b0ee7208ef71550c028facce9bda75ceb449c85
 SHA512 
3e085782cc4ca43965ffaecf6f513d398847d24b68b4214ec3d4c1c451ee6015fb9445fd4609e2446b4b14ccb5343d6c0b091ad174e5b64051a0f63b8088f126
 DIST system.clientmodel.1.1.0.nupkg 181978 BLAKE2B 
5612b832e794b0c174f39ec43cde18eb6b7ab0de4578c02cd59abd1034d679a050f2dc1d48e8eaf77b60848dfe4acfb4dfd81090b4e8886701f0f419439126d5
 SHA512 
bd4fdc3d6bfb1dc864b2eda9304229206a5d2013e0f517c0b4666a8395c0fc0664e8cda6a0a18d404a2a22d2cfaa47d308e5ae5c5eb8ea3ddeff3d750063ae8c
 DIST system.clientmodel.1.2.1.nupkg 182231 BLAKE2B 
fbb90152eb58b05de50ba87100ce44282b2a6adf8033566ef3cbb5bff421c5f5f28df1b674f2d440a7b1f61564a707ee8742500245a341c72944959826109b50
 SHA512 
20bf56e87225c2696457ed2b785aaab86c20c5c7e76ef2062ecded96c0f4ef1d10e96b225f8f56a11cbaca4f4af47576577380551bad2d9ffc87cafd36f4611c
 DIST system.clientmodel.1.4.0-beta.1.nupkg 309712 BLAKE2B 
b4b437cde1f5459429db256022191ffb6a8ba008a4332b47716acddcc023483ccf8c7e13f23bd24b131aea0ddb456ba3ca314fa80ca9a3ed1ac704f39556a21d
 SHA512 
963da89b7cf32f652e913eafe70595b1ab466ed7632c1796f4bce9e944ebdfcb669f8656d3c18dc3bd75c2e2401e5647c108cddda7221f0501e728c8a798b368

diff --git a/dev-vcs/sourcegit/sourcegit-2025.23.ebuild 
b/dev-vcs/sourcegit/sourcegit-2025.23.ebuild
new file mode 100644
index 000000000000..37393b63b4e3
--- /dev/null
+++ b/dev-vcs/sourcegit/sourcegit-2025.23.ebuild
@@ -0,0 +1,152 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DOTNET_PKG_COMPAT="9.0"
+NUGETS="
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
+"
+
+inherit check-reqs dotnet-pkg desktop xdg
+
+DESCRIPTION="Open Source Git GUI client using .NET AvaloniaUI"
+HOMEPAGE="https://github.com/sourcegit-scm/sourcegit/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/sourcegit-scm/${PN}";
+else
+       SRC_URI="https://github.com/sourcegit-scm/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+       KEYWORDS="~amd64"
+fi
+
+SRC_URI+=" ${NUGET_URIS} "
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+       app-arch/brotli
+       app-arch/bzip2
+       dev-libs/expat
+       dev-libs/glib:2
+       dev-libs/libpcre2
+       dev-vcs/git
+       media-gfx/graphite2
+       media-libs/fontconfig:1.0
+       media-libs/freetype:2
+       media-libs/harfbuzz
+       media-libs/libpng
+"
+
+CHECKREQS_DISK_BUILD="1G"
+DOTNET_PKG_PROJECTS=( src/SourceGit.csproj )
+DOTNET_PKG_BUILD_EXTRA_ARGS=( -p:DisableUpdateDetection="true" )
+
+pkg_setup() {
+       check-reqs_pkg_setup
+       dotnet-pkg_pkg_setup
+}
+
+src_unpack() {
+       dotnet-pkg_src_unpack
+
+       if [[ -n "${EGIT_REPO_URI}" ]] ; then
+               git-r3_src_unpack
+       fi
+}
+
+src_prepare() {
+       sed -i "./build/resources/_common/applications/${PN}.desktop" \
+               -e "s|/opt/sourcegit/sourcegit|sourcegit|g" \
+               -e "s|/usr/share/icons/sourcegit.png|sourcegit|g" \
+               || die
+
+       dotnet-pkg_src_prepare
+}
+
+src_install() {
+       dotnet-pkg-base_install
+       dotnet-pkg-base_dolauncher "/usr/share/${P}/SourceGit" "${PN}"
+
+       doicon "./build/resources/_common/icons/${PN}.png"
+       domenu "./build/resources/_common/applications/${PN}.desktop"
+
+       einstalldocs
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+}

Reply via email to